org.eclipse.wst.jsdt.debug.core.model

## Interface IJavaScriptValue

All Known Subinterfaces:
  IJavaScriptPrimitiveValue

    public interface IJavaScriptValue

Abstract definition of a `Value` wrt JavaScript debugging

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static java.lang.String` `ARRAY`
`static java.lang.String` `BOOLEAN`
`static java.lang.String` `FUNCTION`
`static java.lang.String` `NULL`
`static java.lang.String` `NUMBER`
`static java.lang.String` `OBJECT`
`static java.lang.String` `STRING`
`static java.lang.String` `UNDEFINED`
`static java.lang.String` `UNKNOWN`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDetailString()` Returns the string to use for details display.
`boolean` `isNull()` Returns if the value is `NullValue`

### Field Detail

#### UNDEFINED

    static final java.lang.String UNDEFINED

See Also:
  Constant Field Values

#### UNKNOWN

    static final java.lang.String UNKNOWN

See Also:
  Constant Field Values

#### NULL

    static final java.lang.String NULL

See Also:
  Constant Field Values

#### BOOLEAN

    static final java.lang.String BOOLEAN

See Also:
  Constant Field Values

#### NUMBER

    static final java.lang.String NUMBER

See Also:
  Constant Field Values

#### STRING

    static final java.lang.String STRING

See Also:
  Constant Field Values

#### OBJECT

    static final java.lang.String OBJECT

See Also:
  Constant Field Values

#### ARRAY

    static final java.lang.String ARRAY

See Also:
  Constant Field Values

#### FUNCTION

    static final java.lang.String FUNCTION

See Also:
  Constant Field Values

### Method Detail

#### getDetailString

    java.lang.String getDetailString()

Returns the string to use for details display.
This method can return `null`

Returns:
  the string to use for details display or `null`

#### isNull

    boolean isNull()

Returns if the value is `NullValue`

Returns:
  if the value is `NullValue`